<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RibbonTrail.html">RibbonTrail</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::RibbonTrail Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf4f61aeb45d61195c248757e3d1c6fe">_getLightList</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aeb13418fe2740ed8ebc52cd9667fca41">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aae63ad693fb504641b1d7836b73286f7">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ae307c64b6e130191e45d48df0e2c5961">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#ab67b6492b1c8e5687d9623f1518e86ac">_timeUpdate</a>(Real time)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a42f520f7ba1c57e10130b81ed444affe">_updateCustomGpuParameter</a>(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a1dcbc7ae7fd974fabccc83bf8f97bd31">_updateRenderQueue</a>(RenderQueue *)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a0a153e4f3a350248a53ab5e7382aae8d">addChainElement</a>(size_t chainIndex, const Element &amp;billboardChainElement)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#abeddfc60ef032d61276e5b694cb883df">addNode</a>(Node *n)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#acc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a6b5cba8ae02075702da9f7b2f07d3cc7">BillboardChain</a>(const String &amp;name, size_t maxElements=20, size_t numberOfChains=1, bool useTextureCoords=true, bool useColours=true, bool dynamic=true)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a8a4f66ff061e1ecfa0dba21232fdcff9">ChainSegmentList</a> typedef</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a38c7e0e727eede17350ca927202bc45c">clearAllChains</a>(void)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a47809ac7ef0295884003c40e0207523e">clearChain</a>(size_t chainIndex)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aa7d79db1f8751d053a36f36d69a0d040">ColourValueList</a> typedef</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2cfac9af1b0d71c780ec969166b3585">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a91a88d44c3918d174c1d594f9a4c6736">CustomParameterMap</a> typedef</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab53cc49d402913fde37fa4976f5bfdd5">detachFromParent</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ae550e95f48e0d9fe69f8b7a04cf8e790">ElementList</a> typedef</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#acae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a7748b5ea03ba5eb10fdd79e455f96443">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a02158b03fa3c70bbe471562e32456ad4">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aa125f9c54d22ddb3e8d0947e3828572e">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a1ce8341c18f75ef0b6d818eceea5b2e2">getCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ad2e1fc51dc1945dca3abbc2b21a0fe32">getChainElement</a>(size_t chainIndex, size_t elementIndex) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a9f1fb9b8c18a39375d65cac3441a2fb4">getChainIndexForNode</a>(const Node *n)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a74f8bb8d4dbf9b3787d929eda9608da1">getColourChange</a>(size_t chainIndex) const </td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a41bde8d15c26fe6f9b9b3518f96e333c">getDynamic</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a60b24cd45c8df45654dcfa14a1293a3b">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#ab4bd813026a46f90170d3b26e22f5f82">getInitialColour</a>(size_t chainIndex) const </td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a9fb1d53883d15a4dd492c14a0c94326d">getInitialWidth</a>(size_t chainIndex) const </td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a538d975b35be25e7d705b6310ec3d84d">getLightMask</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aa13038809d227e88ed77343789d5b4b8">getLights</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a44bd03aa46c026a41e39e8f8c4f6c71b">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#afd16a80211461e6586e7ee00abd91975">getMaterialName</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a14f08e079d9475d25570dfb3e9e34324">getMaxChainElements</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a0e6e6553baff8730b6d73cbe68ed5274">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aec841bdd9a8b4e840ec61c846827487f">getNodeIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a0a88057e847d5dc4357ace0dac46365f">getNumberOfChains</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aecf15f388c3c05aa0337261cd654c511">getNumChainElements</a>(size_t chainIndex) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ab6ecba3943f56182cddf3b3540afc760">getNumWorldTransforms</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ab615dc1c8dc72cb42cfd8641206a8ce8">getOtherTextureCoordRange</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a723105bef101e2385747f214348984b5">getPolygonModeOverrideable</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8f2627b8d1658838a7c79c82148c6303">getReceivesShadows</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1025983039f59637e9dde740b5013175">getRenderingMinPixelSize</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a21555a72ccbad1a4845c80529e2ebd1e">getRenderOperation</a>(RenderOperation &amp;)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a3da8b6c45259fc0b6ed7b93e3044464c">getRenderSystemData</a>() const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4492fa817bb3a750d349aeec34c19c43">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDist, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ab41b300297c7a5804a2f52b8df400a16">getSquaredViewDepth</a>(const Camera *cam) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#aafcc80b06f8c74eaac3d35e72ca54842">getTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aae77ad0e6c295ecf6ac088b1a9f2ce8c">getTextureCoordDirection</a>(void)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a4595986e9545416094326bec34d83cba">getTrailLength</a>(void) const </td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a32c637889b8a4138d2008aece76f42b6">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70a42d28867f1559f1bd71baf31f83e4">Ogre::getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ab6c834f05d7ad973e22ef726461cfb18">Ogre::Renderable::getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aaac5bf65835f733433f3338132f2f01f">Ogre::getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abbf5cf5545c219ce9be1997ff5dd2204">Ogre::getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a2ed9a2f3c1decac6286f8af974ce2ffc">Ogre::Renderable::getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ab323ad1058e8a5b1a9863f5b97d3f2ad">Ogre::Renderable::getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a1a376259d9f5473200f0a30f56758bcb">getUseTextureCoords</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ab7d11dc2ff50c28b7b7d808dea5f577b">getUseVertexColours</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aab0bdace3dd1352379509a639b0d4b90">getWidthChange</a>(size_t chainIndex) const </td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acc31c877990c3c231c4b4cfb0522bef8">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2f6db9f0db4038e6544d703a9f3bcf53">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ab4be1897977f9ba621e8b1558a86896a">getWorldTransforms</a>(Matrix4 *) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a1a5dee72d381a14b4af08754b10038ed">hasCustomParameter</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7c2a8be6a9bd59e6c69ee2d76945500">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a5da4a331e90917db5a67dfe4e70666ba">IndexVector</a> typedef</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a80abf1736a4241c432b30d2073c7a263">initialiseAnimableDictionary</a>(StringVector &amp;) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a39cfd5b78a4326156accf5ed3146ddc6">isDebugDisplayEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aff1706913baf992f108cc0fe4c95a53b">isParentTagPoint</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aebb41fb7484f365c18e78103517b0d25">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node_1_1Listener.html#a0808cd3ddd6a1ec90ce947677839aab8">Listener</a>()</td><td><a class="el" href="classOgre_1_1Node_1_1Listener.html">Ogre::Node::Listener</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aab0741d3d30f1b2bf98fbd2cae30f6c7">mAABB</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aaa549cf551eff3d644f2bfccf57152df">manageController</a>(void)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a3f890b4815dd3d41d715e0f2c76250a1">mBoundsDirty</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aec664880b12b4a7e5ad01e7a6e3b9bd2">mBuffersNeedRecreating</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ad412200ea57abd9d66d1ad53d3489971">mChainCount</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a325fc4495bd2c35da4a4d771611bcd44">mChainElementList</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#af042e8c1dd576804ed9c64b9a2cdd7f2">mChainSegmentList</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac439108451539e95ac9829ab6520306c">mDebugDisplay</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a1a85cbdbbe427e5d5fd15f08745aa7eb">mDeltaColour</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a7769b9f130416658b57c98b93809635c">mDeltaWidth</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aea966c7849e7c19996ed5487668b41a7">mDynamic</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#ac957c6bc3e57acd2e9f7067c0ac9e97b">mElemLength</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a39cd29f1667fe328192a2c16a2032e1e">mFaceCamera</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aa1a0246aa7751805204a54bf05e9cb2a">mFadeController</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a9c60a4868baf1e4016ad312b49131a25">mFreeChains</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a873172894953a295eba352135d4c36b3">mIndexContentDirty</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aa87a666d5ceaa7ed1c3d86fd32c6eb3f">mIndexData</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a81cbd484158e93ce096085085b8084c8">mInitialColour</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#acc6feaf49b66d518ade88f864c1b2f6c">mInitialWidth</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2626ce2a2f1c78027634cc92dfd2b211">mLightList</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af083212ba58f26eb7c747a0da749cc08">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3db70b0c8b2e53a3c71671217e5a516c">mLightMask</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a15419eb83c937d210d9382dbed68affa">mMaterial</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a67e082079a33ca93998f52c00df1f5a2">mMaterialName</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aefe909743fa27074b38934765d4aaa4d">mMaxElementsPerChain</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a56e7d5ccac2877061b0919648f7f0b34">mMinPixelSize</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#afb1089d91b94200dab252297de92bff6">mNodeList</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#af7bad5fdd9ccd7d48826e5ab794cbfc3">mNodeToChainSegment</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a88700256a45d0cd1d273378129cf6136">mNodeToSegMap</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a5d84c89c56a0c5a6bbe7823801daf5d0">mNormalBase</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#afc825019160a0ddc9cf2653692eab35e">mOtherTexCoordRange</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ae4f95218c50448ce4c6e1e66c9e73fc5">mRadius</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa34e0feb87409120726a489f52b39c58">mRenderQueuePriority</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac9ee5f673870a76b23eb5291b3fa3f28">mRenderQueuePrioritySet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a04ee4d7ea24443e1caee62c99add7956">mRenderSystemData</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adeb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#afe81aa08345ba180cb5b8e8fa3dcb220">mSquaredElemLength</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a18051c037fe1a35ce5003c04220598f7">mTexCoordDir</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a1008ba868a30029cc380f0e62a5e1a37">mTimeControllerValue</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a2e27fcd5f8882c24915a3a57c2938f21">mTrailLength</a></td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af00b75d92e7d62f5ff9bd4847d1786e8">Ogre::mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#aadd56839affa1bd19ac783fe98a08d90">Ogre::Renderable::mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a6b1da27f647afa420938a085f785fbd2">mUseTexCoords</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a57a517fd9daca4d840d3b390ccafada3">mUseVertexColour</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#af915d8a6b50b4fb60ef01ad2bc015546">mVertexData</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aae629740256ea4e8d8da226775ae1659">mVertexDeclDirty</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a665c171729e2f37b66f73d0e6722ac2c">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node_1_1Listener.html#a94f0833d9ba1ac036c7c9274a77a3bb7">nodeAttached</a>(const Node *)</td><td><a class="el" href="classOgre_1_1Node_1_1Listener.html">Ogre::Node::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a30baa88eeee3eb041db328924dd1a0f7">nodeDestroyed</a>(const Node *node)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node_1_1Listener.html#a2d8d30e7eb00989dc97aa0c2e1c94d36">nodeDetached</a>(const Node *)</td><td><a class="el" href="classOgre_1_1Node_1_1Listener.html">Ogre::Node::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aa87dbc42370145c7829bce54b0919e03">NodeIterator</a> typedef</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a2014374dc138cc1cc5dfc21c636bd86a">NodeList</a> typedef</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a2b114c3b972a06a8c4a8f202a47fcb9b">NodeToChainSegmentMap</a> typedef</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a1d55b1c2630baaee6ba063333ed13b92">nodeUpdated</a>(const Node *node)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a77230eea8136b7c296cc0a5db1dba9ee">postRender</a>(SceneManager *sm, RenderSystem *rsys)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#afcbf4cb36d5911a9d40a40c57e94f23b">preRender</a>(SceneManager *sm, RenderSystem *rsys)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a3a9533f497a5a95e46af3b3f07892173">RealList</a> typedef</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a86bd2530a15622dbb26aba8a9759b0d3">removeChainElement</a>(size_t chainIndex)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a0c726a0326e8a7d9e80d030541b6bddf">removeCustomParameter</a>(size_t index)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aa12d57cd0c10213832c8661ffb1130f2">removeNode</a>(Node *n)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e039c80d31e36c17f4e7fc85e5c6cdc">removeQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#aed186856b59bf967f3188bfa70546957">Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a2877e2c97a72029478f192486978c0c2">resetAllTrails</a>(void)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aec94e0d42baa1754189667541589359e">resetTrail</a>(size_t index, const Node *node)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aac897f35859e671d53486df2026f121f">RibbonTrail</a>(const String &amp;name, size_t maxElements=20, size_t numberOfChains=1, bool useTextureCoords=true, bool useColours=true)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#aa2b8d91d34882251046dc02ae2500932">SEGMENT_EMPTY</a></td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aa64743cce7cede32aadf23a0d6298958">setColourChange</a>(size_t chainIndex, const ColourValue &amp;valuePerSecond)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#aa76e033f23392db828d5e04610a29a97">setColourChange</a>(size_t chainIndex, Real r, Real g, Real b, Real a)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a>(size_t index, const Vector4 &amp;value)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2b559ddd8df033cafa5d64502c7d0c3a">setDebugDisplayEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ac1efa5463d2fedd8974af3e4b413b322">setDynamic</a>(bool dyn)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a3039063ea009d11949489c1cd5a0d0be">setFaceCamera</a>(bool faceCamera, const Vector3 &amp;normalVector=Vector3::UNIT_X)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#ac98c4fa0f7c412751c4352eb8d0e39a1">setInitialColour</a>(size_t chainIndex, const ColourValue &amp;col)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a1ea40a239d2a1956f8c1074e63996e4f">setInitialColour</a>(size_t chainIndex, Real r, Real g, Real b, Real a=1.0)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a9e71b08aa64add5e1262e2de15b0becc">setInitialWidth</a>(size_t chainIndex, Real width)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0b7dc685c1dc7ec4dd677750d17ee145">setLightMask</a>(uint32 lightMask)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#afbfba68f0e99d3bac382b3c7b53e571c">setMaterialName</a>(const String &amp;name, const String &amp;groupName=ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a70663c313ced06c51bf23edc2413ad61">setMaxChainElements</a>(size_t maxElements)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#ac751ca58a839715bee2192418e26b84d">setNumberOfChains</a>(size_t numChains)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#acd94644ca5489ade2cdf28c906c5f042">setOtherTextureCoordRange</a>(Real start, Real end)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a>(bool override)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9ad2786aa67624f26c7ff245c673ad5e">setRenderingMinPixelSize</a>(Real pixelSize)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac5e898937867475e52d350d1f4d75e32">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a38cf564fe839d40a81ba5155d363b7aa">setRenderQueueGroupAndPriority</a>(uint8 queueID, ushort priority)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#af52784d34aa33c54516292a341058041">setRenderSystemData</a>(RenderSystemData *val) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a7b15a6eea809c26455d3ba40c9fffc05">setTextureCoordDirection</a>(TexCoordDirection dir)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a032473272618c5d2b3562f36c6f3c117">setTrailLength</a>(Real len)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a2d11323218b486064bdefc8231a450ab">setupBuffers</a>(void)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a3c5f614bffeff46c8dc61a6f02dc2f1c">setupChainContainers</a>(void)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a3e62a182d53e7c1e53bb0b74e4d68b10">setupVertexDeclaration</a>(void)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a>(bool useIdentityProjection)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ae53cff42a16304f582ef83ad3017d614">setUseIdentityView</a>(bool useIdentityView)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab07068e26732de24aaf24330e9d0ec81">Ogre::setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#a75d842d22f196a307dec5a068709706b">Ogre::Renderable::setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ae2873540c27dddd3062af468d6fa8d83">setUseTextureCoords</a>(bool use)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a77eaefdad7be8d14b47e6e9f169b6617">setUseVertexColours</a>(bool use)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8b0ab29b6a7e94169e2b3fde0be7cf10">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a7fd33999495bf1c773331a5db80b0cac">setWidthChange</a>(size_t chainIndex, Real widthDeltaPerSecond)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a92be262f8957455b6fc2adfe9904d0eeab1390d0782b4780e43953c2b166b9cdc">TCD_U</a> enum value</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a92be262f8957455b6fc2adfe9904d0eea8053985a9b153f4dea4ea70db8536782">TCD_V</a> enum value</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a92be262f8957455b6fc2adfe9904d0ee">TexCoordDirection</a> enum name</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a455b69f14e2050d7d5f0bd8944692a20">updateBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ae3a6efc533be5309cf5274a7aa6a88db">updateChainElement</a>(size_t chainIndex, size_t elementIndex, const Element &amp;billboardChainElement)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ac9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a51210168762f99cac2f7d6295ddc0255">updateIndexBuffer</a>(void)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a9bf450ee8b4aeb1a5ac801ec88e04004">updateTrail</a>(size_t index, const Node *node)</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#acf94af85a538af0fcb075b753a89f5d0">updateVertexBuffer</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#a95381f721522dc92efc703bcb06c511e">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ac61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardChain.html#ab45391e3a4e53af6ecb28b59e4b22792">~BillboardChain</a>()</td><td><a class="el" href="classOgre_1_1BillboardChain.html">Ogre::BillboardChain</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Node_1_1Listener.html#a2592c473e74e12379be9fdd2d94aa473">~Listener</a>()</td><td><a class="el" href="classOgre_1_1Node_1_1Listener.html">Ogre::Node::Listener</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ae5a6101851f1e45229f7b4bc20a69815">~Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RibbonTrail.html#a8a166f5eebda9774c286a90963eb2a46">~RibbonTrail</a>()</td><td><a class="el" href="classOgre_1_1RibbonTrail.html">Ogre::RibbonTrail</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#aa09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
